%global git_hash 53a6c97

Name:       nodejs-slide-flow-control
Version:    1.1.3
Release:    1%{?dist}
Summary:    A flow control library that fits in a slideshow
License:    MIT
URL:        https://github.com/isaacs/abbrev-js
# download from https://github.com/isaacs/slide-flow-control/tarball/%%{version}
Source0:    isaacs-slide-flow-control-%{version}-0-g%{git_hash}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

%description
Provides simple, easy callbacks for node.js.

%prep
%setup -q -n isaacs-slide-flow-control-e6ca2aa

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}
cp -p lib/*.js %{buildroot}%{nodejs_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/*.js
%doc README.md nodejs-controlling-flow.pdf

%changelog
* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.1.3-1
- initial package
